package com.example.example3;

import org.json.JSONException;
import org.json.JSONObject;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.widget.Toast;

public class MainReciever extends BroadcastReceiver {

	public static final String JSONSTRING_KEY = "JSONString";
	private MainActivity3 activity;
	public MainReciever(){
		super();
	}
	public MainReciever(MainActivity3 activity) {
		super();
		this.activity = activity;
	}

	@Override
	public void onReceive(Context context, Intent intent) {
		Toast.makeText(context, "Broadcast Intent Detected.", Toast.LENGTH_LONG).show();
        if(activity!=null){
            String jString = intent.getExtras().getString(JSONSTRING_KEY);
            JSONObject jObj=null;
            try {
                jObj = new JSONObject(jString);
            } catch (JSONException e) {
                e.printStackTrace();
            }
            activity.parseAndFillData(jObj);
        }
	}

}
